---

# {{ ansible_managed }}

version: "3"

# More info at https://github.com/pi-hole/docker-pi-hole/ and https://docs.pi-hole.net/
services:
  snmp_exporter:
    container_name: "{{ snmp_exporter_container_name }}"
    image: "{{ snmp_exporter_image_base }}:{{ snmp_exporter_image_base_tag }}"
    env_file: snmp_exporter.env
    ports:
      - "{{ snmp_exporter_container_http_port }}:{{ snmp_exporter_container_http_port }}"
    networks:
      - {{ docker_networks.monitoring.name }}
    # Volumes store your data between container upgrades
    volumes:
{% for volume in snmp_exporter_container_volumes.binds %}
      - {{ volume.source }}:{{ volume.target }}
{% endfor %}
    command:
{% for key,value in snmp_exporter_docker_cli_commands.items() %}
      - "--{{ key }}={{ value }}"
{% endfor %}
    restart: "always"
networks:
  {{ docker_networks.monitoring.name }}:
    external: true
